package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_ADJUSTACCOUNT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunAdjustAccountDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D0017892ee29d6120484e65b033773717c8548f";

    @JsonProperty("F0000002")
    private String projectCode;


    /**
     * 核算实施人天
     */
    @JsonProperty("F0000003")
    private BigDecimal personDays;

    /**
     * 核算实施人力成本
     */
    @JsonProperty("F0000004")
    private BigDecimal laborCost;

    /**
     * 核算实施费用
     */
    @JsonProperty("F0000005")
    private BigDecimal implementationCosts;

    /**
     *核算实施总成本
     */
    @JsonProperty("F0000006")
    private BigDecimal totalImplementationCosts;



}
