package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunMemberCostDO;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunProjectCostDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ChuanyunProjectCostDao extends GalaxisRepository<ChuanyunProjectCostDO,String> {

    @Query(value="SELECT chuanyun_member_cost.object_id,SUM(chuanyun_member_cost.cost) AS cost,SUM(chuanyun_member_cost.total_hour) AS total_hour,chuanyun_member_cost.project_id FROM chuanyun_member_cost GROUP BY chuanyun_member_cost.project_id",nativeQuery = true)
    List<ChuanyunProjectCostDO> getProjectCost();

}
